/* 
 * File:   audio.h
 * Author: rwall
 *
 * Created on May 2, 2016, 6:10 AM
 * 
 *Revised November 25, 2016
 */

#ifndef AUDIO_H

    #define AUDIO_H
    #define A_OUTbit        (1 << 14)                   //BIT_14
    #define PWM_CYCLE_RATE  160000                // PWM frequency 
    #define PWM_ZERO_OFFSET ((int) (PWM_CYCLE_RATE >> 1)) // 50/50 PWM output
    #define PWM_MAX         ((int) ( GetPeripheralClock() / PWM_CYCLE_RATE ))
    #define Q14             (1 << 14)             // Filter scale factor
    #define PIx2            ((float) (3.14159265359 *2))

//                                      Measured
    #define FR1             500
    #define FR2             1500
    #define FR3             2500
    #define FR4             3500

    #define FR5             4500
    #define FR6             5500
    #define FR7             6500
    #define FR8             7500

    struct coefficients
    {
        int a0;
        int a1;
        int a2;
    } ;

    typedef struct coefficients filter;

#endif	/* AUDIO_H */

void audio_init(void);
void start_tones(int tone);
